/** BEGIN COPYRIGHT BLOCK
 * Copyright 2001 Sun Microsystems, Inc.
 * Portions copyright 1999, 2001 Netscape Communications Corporation.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
package com.netscape.management.admserv.config;

import java.awt.*;
import java.util.*;
import javax.swing.*;
import javax.swing.border.*;
import com.netscape.management.nmclf.SuiLookAndFeel;
import com.netscape.management.client.util.*;

/**
  *
  * @version 0.1 11/28/97
  * @author miodrag@netscape.com
  */

public abstract class PluginConfigPanel extends JPanel implements IPluginConfigPanel {

    private String _titleText = "";

    public PluginConfigPanel() {
        this("");
    }

    public PluginConfigPanel(String title) {
        //setBorder(new EmptyBorder(0,5,0,5));
        _titleText = title;
    }

    public JPanel getPanel() {
        return this;
    }

    public String getTitleText() {
        return _titleText;
    }

    public void showHelp() {
        Debug.println("help not implemented");
    }

}
