/** BEGIN COPYRIGHT BLOCK
 * Copyright 2001 Sun Microsystems, Inc.
 * Portions copyright 1999, 2001 Netscape Communications Corporation.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
package com.netscape.management.admserv.config;

public class ValidationException extends ConfigPanelException {

    private String _item;
    private String _message;

    public ValidationException(String item, String message) {
        _item = item;
        _message = message;
    }

    public String getItem() {
        return _item;
    }

    public String getMessage() {
        return _message;
    }

    public String toString() {
        return "ValidationException:\n" + "Message: " + _message +
                "\n" + "Item:      " + _item;
    }
}
