/** BEGIN COPYRIGHT BLOCK
 * Copyright 2001 Sun Microsystems, Inc.
 * Portions copyright 1999, 2001 Netscape Communications Corporation.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
#ifndef LANGUAGE_H
#define LANGUAGE_H

#include "netsite.h"

NSPR_BEGIN_EXTERN_C

/* return accept-language based on request header, 
   Note: it returns static buffer, please do not free it. 
 */
NSAPI_PUBLIC char * lang_acceptlanguage(pblock *rqheaders);

/* return actual path based on accept-language header
   Note: caller needs to free the return buffer 
 */
NSAPI_PUBLIC char * lang_acceptlang_file(char *path, pblock *rqheaders);

NSPR_END_EXTERN_C

#endif /* !LANGUAGE_H */

