/** BEGIN COPYRIGHT BLOCK
 * Copyright 2001 Sun Microsystems, Inc.
 * Portions copyright 1999, 2001 Netscape Communications Corporation.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
/*
 * pw: Interfaces with the system's password encryption routines.
 * 
 * Rob McCool
 */


/*
 * Compares two passwords, one plaintext and one encrypted. Returns strcmp()
 * like integer (0 good, anything else bad)
 */

int pw_cmp(char *pw, char *enc);

/*
 * Encrypts a plaintext password.
 */

char *pw_enc(char *pw);

