/** BEGIN COPYRIGHT BLOCK
 * Copyright 2001 Sun Microsystems, Inc.
 * Portions copyright 1999, 2001 Netscape Communications Corporation.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
/*
 * Default directive declarations
 */

#ifndef _ACL_H
#define _ACL_H

#include "netsite.h"
#include "base/pblock.h"
#include "base/session.h"
#include "frame/req.h"

NSPR_BEGIN_EXTERN_C

int pcheck_check_acl(pblock * pb, Session * sn, Request * rq);
int pcheck_acl_state(pblock * pb, Session * sn, Request * rq);

NSAPI_PUBLIC extern int ACL_InitSafs(void);
NSAPI_PUBLIC extern int ACL_InitSafsPostMagnus(void);
NSAPI_PUBLIC extern int ACL_InitHttp(void);
NSAPI_PUBLIC extern int ACL_InitHttpPostMagnus(void);

extern int ACL_GetDbnames (char ***dbnames, int *cnt);
extern int ACL_FreeDbnames (char **dbnames);

NSPR_END_EXTERN_C

#endif /* _ACL_H */
