/** BEGIN COPYRIGHT BLOCK
 * Copyright 2001 Sun Microsystems, Inc.
 * Portions copyright 1999, 2001 Netscape Communications Corporation.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
#ifdef HPUX
#include <pthread.h>
#endif
#include "base/daemon.h"
#include "base/systhr.h"

#ifdef XP_UNIX
#include <unistd.h>
#include <sys/types.h>

NSAPI_PUBLIC pid_t child_fork(void) 
{
    pid_t pid;

#ifdef SOLARIS
    pid = fork1();
#else
    pid = fork();
#endif

    return pid;
}
#endif
