/** BEGIN COPYRIGHT BLOCK
 * Copyright 2001 Sun Microsystems, Inc.
 * Portions copyright 1999, 2001 Netscape Communications Corporation.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
/*
 * Declarations for functions for managing and sorting lists
 * of ID/Name pairs for the user/group stuff.
 */
#ifndef __userlists_h__
#define __userlists_h__

NSPR_BEGIN_EXTERN_C
int  ulsAlloc(void **handle);
int  ulsAddToList(void *handle, int id, char *name);
int  ulsSortName(void *handle);
int  ulsGetCount(void *handle, int *count);
int  ulsGetEntry(void *handle, int entry, int *id, char **name);
void ulsFree(void **handle); 
NSPR_END_EXTERN_C

#endif /* __userlists_h__ */
