/** BEGIN COPYRIGHT BLOCK
 * Copyright 2001 Sun Microsystems, Inc.
 * Portions copyright 1999, 2001 Netscape Communications Corporation.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
#ifndef __objndx_h
#define __objndx_h

/* Define maximum length of object name strings */
#define OBJNDXNAMLEN	16

/* Functions in objndx.c */
NSAPI_PUBLIC extern void * objndx_create(int size, void (*freefunc)(void *));
NSAPI_PUBLIC extern char * objndx_register(void * objndx, void * objptr, 
                                           char * namebuf);
NSAPI_PUBLIC extern void * objndx_lookup(void * objndx, char * objname);
NSAPI_PUBLIC extern void * objndx_remove(void * objndx, char * objname);
NSAPI_PUBLIC extern void objndx_destroy(void * objndx);

#endif /* __objndx_h */
