/** BEGIN COPYRIGHT BLOCK
 * Copyright 2001 Sun Microsystems, Inc.
 * Portions copyright 1999, 2001 Netscape Communications Corporation.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
/*
 * Declarations for addlog
 */

#ifndef _ADDLOG_H
#define _ADDLOG_H

#include "netsite.h"
#include "frame/func.h"

NSPR_BEGIN_EXTERN_C

void clf_rotate(void);
void clf_terminate(void *data);
int clf_init(pblock *pb, Session *sn, Request *rq);
int clf_record(pblock *pb, Session *sn, Request *rq);
int record_useragent(pblock *pb, Session *sn, Request *rq);
#ifdef NET_SSL
int record_keysize(pblock *pb, Session *sn, Request *rq);
#endif
int _clf_record(char *rql, char *user, char *bytes, char *status, 
                char *rhost, char *logname);

int clf_record_accel(char *logname, char *host, char *rql, char *user, 
	char *bytes, char *status);
 
NSPR_END_EXTERN_C

#endif /* _ADDLOG_H */
