/** BEGIN COPYRIGHT BLOCK
 * Copyright 2001 Sun Microsystems, Inc.
 * Portions copyright 1999, 2001 Netscape Communications Corporation.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
/* 
** daemon.h
**
**/

#ifndef _DAEMON_H
#define _DAEMON_H

#ifdef __cplusplus
extern "C" {
#endif

#include "base/daemon.h"
#include "prio.h"

extern daemon_s *pDaemon;

void HandleSynchronousRequestSession (
    char               *pzAddressServer,
    struct sockaddr_in *pServerAddr,
    struct sockaddr    *saClient, 
    PRFileDesc         *hSocket, 
    void               *pData, 
    size_t              sData,
    PRBool             *fKeepAliveRequested
);

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* _DAEMON_H */



