/** BEGIN COPYRIGHT BLOCK
 * Copyright 2001 Sun Microsystems, Inc.
 * Portions copyright 1999, 2001 Netscape Communications Corporation.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/

/***********************************************************************
** Includes
***********************************************************************/
#include "libnscore/nserrmsg.h"


//********************************************************************
// MEMBER:	NSerrmsg
// DESCRIPTION:
//	Constructors
//********************************************************************
NSerrmsg::NSerrmsg() {
   }


NSerrmsg::NSerrmsg(CStr fname, CStr* paths) 
:  _msgfile(fname, paths) {
   if (_msgfile.Bad())
      Errnum(_msgfile.Errnum());
   }


//********************************************************************
// MEMBER:	~NSerrmsg
// DESCRIPTION:
//	Destructor
//********************************************************************
NSerrmsg::~NSerrmsg() {
   }


//********************************************************************
// MEMBER:	Dump
// DESCRIPTION:
//	Debugging aid to dump the contents of the current object.
//********************************************************************
void NSerrmsg::Dump(ostream& o) const {
   o << _msgfile << endl;
   }


//********************************************************************
// MEMBER:	Name
// DESCRIPTION:
//	Returns the class name for the instance.
//********************************************************************
CStr NSerrmsg::Name() const {
   return("NSerrmsg");
   }




